Bug 588247 - Coredump in pring_vg
Coredump in pring_vg
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udisks (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 05:32 EDT by Zdenek Kabelac
Modified: 2013-03-05 23:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 14:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2010-05-03 05:32:16 EDT
Description of problem:

/lib/udev/udisks-lvm-pv-export  coredumps.

#0  0x00007f5f41476955 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007f5f41478135 in abort () at abort.c:92
#2  0x00007f5f414b46bb in __libc_message (do_abort=2, fmt=0x7f5f4158ba48 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#3  0x00007f5f414ba076 in malloc_printerr (action=3, str=0x7f5f41588d7b "free(): invalid pointer", 
    ptr=<value optimized out>) at malloc.c:6280
#4  0x00000000004010cc in print_vg (argc=<value optimized out>, argv=<value optimized out>) at udisks-lvm-pv-export.c:87
#5  main (argc=<value optimized out>, argv=<value optimized out>) at udisks-lvm-pv-export.c:273


Problem here is the incorrect usage of lvm library API.

char *s = lvm_vg_get_name (vg); g_print ("UDISKS_LVM2_PV_VG_NAME=%s\n", s); dm_free (s);

lvm_vg_get_name() returns  const char* and moreover you cannot free this memory with dm_free - it's deallocated automatically with lvm_vg_close() (as written in lvm2api.h)


Version-Release number of selected component (if applicable):
udisks-1.0.1-2.fc14.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-05-05 09:35:13 EDT
I'm seeing this also.

I see the following message during every boot (from boot.log):

Entering non-interactive startup
Starting monitoring for VG vg_tlondon:   2 logical volume(s) in volume group "vg_tlondon" monitored
^[[60G[^[[0;32m  OK  ^[[0;39m]
udevd-work[921]: 'udisks-lvm-pv-export gIrTVs-e9Fh-7q8r-XZMX-SqEt-TT8s-1whepl' unexpected exit with status 0x0006

Scanning /var/log/messages, I see numerous instances of:

May  4 06:25:09 tlondon cpuspeed: Disabling ondemand cpu frequency scaling governor
May  4 06:25:09 tlondon kernel: Process 3753(udisks-lvm-pv-e) has RLIMIT_CORE set to 0
May  4 06:25:09 tlondon kernel: Aborting core
May  4 06:25:09 tlondon udevd-work[3743]: 'udisks-lvm-pv-export gIrTVs-e9Fh-7q8r-XZMX-SqEt-TT8s-1whepl' unexpected exit with status 0x0006
May  4 06:25:09 tlondon kernel: Kernel logging (proc) stopped.

I'm running udisks-1.0.1-3.fc14.x86_64.
Comment 2 Bug Zapper 2010-07-30 07:32:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Zeuthen 2010-08-13 14:47:38 EDT
This was fixed in

* Wed May 19 2010 David Zeuthen <davidz@redhat.com> - 1.0.1-4%{?dist}
- Actually make udisks work with latest liblvm2app

Note You need to log in before you can comment on or make changes to this bug.